---
title: HTMLImageElement.border
slug: Web/API/HTMLImageElement/border
tags:
  - API
  - HTML
  - HTML DOM
  - HTMLImageElement
  - Image
  - Obsolete
  - Property
  - Reference
  - border
  - img
---
<p>{{APIRef("HTML DOM")}}{{obsolete_header}}</p>

<p><span class="seoSummary">The obsolete {{domxref("HTMLImageElement")}} property <code><strong>border</strong></code> specifies the number of pixels thick the border surrounding the image should be. A value of 0, the default, indicates that no border should be drawn.</span></p>

<p>You should <em>not</em> use this property! Instead, you should use CSS to style the border. The {{cssxref("border")}} property or its longhand properties to not only set the thickness of the border but to potentially apply a wide variety of other styling options to it.</p>

<p>The width, specifically, is controlled using the writing-mode aware {{cssxref("border-block-start-width")}}, {{cssxref("border-block-end-width")}}, {{cssxref("border-inline-start-width")}}, and {{cssxref("border-inline-end-width")}} properties.</p>

<p>For compatibility (or perhaps other) reasons, you can use the older properties instead (or in addition): {{cssxref("border-top-width")}}, {{cssxref("border-right-width")}}, {{cssxref("border-bottom-width")}}, and {{cssxref("border-left-width")}}.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>htmlImageElement</em>.border = <em>thickness</em>;
let <em>thickness</em> = <em>htmlImageElement</em>.border;
</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("DOMString")}} containing an integer value specifying the thickness of the border that should surround the image, in CSS pixels. A value of <code>0</code>, or an empty string, indicates that there should  be no border drawn. The default value of <code>border</code> is <code>0</code></p>

<h2 id="Usage_notes">Usage notes</h2>

<p>Do not use <code>border</code>. It is obsolete. Instead, use the CSS {{cssxref("border")}} property and its longhand properties to establish borders around images.</p>

<p>For example, if you have the following HTML:</p>

<pre class="brush: html">&lt;img src="image.png" border="2"&gt;</pre>

<p>The following will provide the same appearance using CSS instead of this obsolete property:</p>

<pre class="brush: html">&lt;img src="image.png" style="border: 2px;"&gt;</pre>

<p>You can further provide additional information to change the color and other features of the border:</p>

<pre class="brush: html">&lt;img src="image.png" style="border: dashed 2px #333388;"&gt;</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('HTML WHATWG', '#dom-img-border', 'HTMLImageElement.border')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td></td>
  </tr>
  <tr>
   <td>{{SpecName("HTML4.01", "struct/objects.html#h-13.7.3", "HTMLImageElement.border")}}</td>
   <td>{{Spec2("HTML4.01")}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.HTMLImageElement.border")}}</p>
